#ifndef TFTA_FONT_H
#define TFTA_FONT_H
//
//  HEADER NAME: tf_font.h - Header file for tf_font
//

#define WIN32_LEAN_AND_MEAN
#include <windows.h>

#define EXPENTRY      CALLBACK
#define APIRET        ULONG
#define ERRORID       ULONG
#define HAB           ULONG
#define LHANDLE       ULONG
#define NULLHANDLE    ( (LHANDLE) 0)
#define HMUX          HANDLE
#define HMTX          HANDLE
#define HEV           HANDLE
#define PHMTX         PHANDLE
#define PHEV          PHANDLE
#define HQUEUE        HANDLE
#define MPARAM        ULONG
#define MPVOID        ( (MPARAM) 0)
#define MRESULT       LRESULT
#define PID           ULONG
#define TID           ULONG
#define PPID          PULONG
#define PTID          PULONG
#define SEM_NOT_FOUND ERROR_FILE_NOT_FOUND
#define SEM_EXISTS    ERROR_ALREADY_EXISTS
#define STG_EXISTS    ERROR_ALREADY_EXISTS
typedef HWND         *PHWND;
typedef PVOID        *PPVOID;
typedef MRESULT (EXPENTRY FNWP)(HWND, ULONG, MPARAM, MPARAM);
typedef FNWP         *PFNWP;

#include <io.h>
#include <fcntl.h>
#include <string.h>
#include <stdio.h>
#include <conio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <ctype.h>
#include <sys\stat.h>
#include <process.h>
#include <errno.h>
#include <excpt.h>
#include <malloc.h>
#include <stddef.h>
#include <float.h>
#include <limits.h>
#include <time.h>

//
// Defines
//
#define FLAG_OK                    0
#define FLAG_ERROR                 1
#define FLAG_TERMINATE             2
#define FLAG_COPY                  3

//
// Typedefs and structures
//
#pragma pack(1)

typedef struct _DATETIME {
   unsigned char     hours;
   unsigned char     minutes;
   unsigned char     seconds;
   unsigned char     hundredths;
   unsigned char     day;
   unsigned char     month;
   unsigned short    year;
   short             timezone;
   unsigned char     weekday;
   unsigned char     padding;
} DATETIME, *PDATETIME;

typedef struct _QWORD {
   ULONG             ulLo;
   ULONG             ulHi;
} QWORD, *PQWORD;

#pragma pack()

//
// Forward declarations
//

//
// Global constants
//
static unsigned char const *DAYS[]   = { "Sunday",
                                         "Monday",
                                         "Tuesday",
                                         "Wednesday",
                                         "Thursday",
                                         "Friday",
                                         "Saturday" };
static unsigned char const *MONTHS[] = { "Garbage",
                                         "January",
                                         "February",
                                         "March",
                                         "April",
                                         "May",
                                         "June",
                                         "July",
                                         "August",
                                         "September",
                                         "October",
                                         "November",
                                         "December" };

#endif
